Subject: bug#52082: 29.0.50; Scrolling aborts "repunctuate-sentences"

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Nov 2021 09:24:55 +0200

[Please use Reply All to keep the bug tracker on the CC list.]

> From: Rudolf Adamkovič <[email-masked]>
> Cc: 
> Date: Wed, 24 Nov 2021 23:32:16 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > This command invokes query-replace-regexp, so it only accepts inputs
> > that query-replace accepts.  Why is that a problem, and why did you
> > have those expectations when the prompt clearly indicates that Emacs
> > is in query-replace-regexp?
> 
> Wait, is that something unusual?
> 
> 1. start "repunctuate-sentences"
> 2. fix some sentences
> 3. press C-v to scroll up
> 4. fix some more sentences
> 5. move the scroll-wheel to scroll up a bit more
> 
> Should I expect 5 to abort for some reason?

You should instead do it as you'd do in the middle of a query-replace:
either type 'q' or RET to exit the replace loop and do something else,
then reinvoke the command; or type 'C-r' to enter recursive-edit,
where you can do whatever you want, including scrolling with mouse
wheel, then exit recursive-edit with C-M-c to continue fixing the
punctuation.

Once again, this command invokes query-replace-regexp, so the behavior
is that of query-replace-regexp, as documented in the manual.